Creates a new job work instruction list.
Request Information
URI Parameters :
None.
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "03c59ea0-1334-45ac-a7e0-6a35c2a42689",
"jobs_id": "361fc8d1-cc0d-4e59-ba41-7369e9c8da18",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "6b837109-cf35-4f7d-981a-c628519dc683",
"_parent_id": "f9458e25-5ff9-4fa9-82cc-528f956502a5",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "30aab178-fa27-4a9a-8c72-fa67d8c41ecb",
"project_reference_back_office": "sample string 5",
"project": {
"id": "798bb32b-8cf1-411b-8bdf-b192a8938443",
"_parent_id": "d075b31d-43e4-406d-bf3d-0053ab791406",
"root_parent_id": "2cde88bd-e031-4c15-84f4-127f96e6180a",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "d529ebfe-37ac-4fdc-9f24-475b829600c4",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "d3dc06ee-ac9c-4221-b5dd-2644161ea56f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "e529eb9c-106b-41cf-a520-e4ed86fffb3f",
"_parent_code": "sample string 6",
"sales_organization_id": "ae3be1b2-0dc0-4cd1-b023-dce2178eaa2a",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"equipment_model_id": "fb8a9480-420e-4807-b4a3-504988f79270",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "11b2e885-ee90-4455-8779-6846ea51c009",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "fbba5e34-8c32-491e-9351-827e08600f73",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "a7cdd66b-012e-41d3-b041-9834b989ecae",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "76bd3a73-7ede-4cb1-8bc7-631bdaeda822",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"equipment_family_id": "d594d04d-0672-43e7-8666-6ba9cff72fcf",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "d3dc06ee-ac9c-4221-b5dd-2644161ea56f",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "e529eb9c-106b-41cf-a520-e4ed86fffb3f",
"_parent_code": "sample string 6",
"sales_organization_id": "ae3be1b2-0dc0-4cd1-b023-dce2178eaa2a",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"date_in_production_since": "2026-11-07T08:18:05.6674765+00:00",
"date_out_of_production_since": "2026-11-07T08:18:05.6674765+00:00",
"date_end_support": "2026-11-07T08:18:05.6674765+00:00",
"sales_organization_id": "040777c4-4561-4b00-99d1-d107fe39b6bb",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"project_status_id": "446e79cc-ac03-44c6-8958-6e1bd06d843a",
"project_status_code": "sample string 10",
"project_status": {
"id": "4d684d00-5cbd-4a31-9a4d-6734f90b39a0",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "4fb95282-6e6f-4ff6-8f1e-399d4daa94ec",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"company_id": "a90f69d6-1c43-45e1-b4a5-4845bf5984dc",
"company_code": "sample string 12",
"db_address_id": "2b6f9b46-7d7d-4a7c-b4a0-b673b310e432",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "84995aef-d9e0-4f24-8faa-6483de41df2d",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "ac56c67a-1899-4852-894c-3efca6ecdabd",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-07T08:18:05.6674765+00:00",
"date_create": "2026-11-07T08:18:05.6674765+00:00",
"date_update": "2026-11-07T08:18:05.6674765+00:00",
"updated_by_user_id": "f787a564-73fc-4a8d-9ef1-2a090b460c94",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-07T08:18:05.6674765+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-07T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-07T08:18:05.6674765+00:00",
"date_last_job": "2026-11-07T08:18:05.6674765+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-07T08:18:05.6674765+00:00",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00",
"is_mobile_installation": true
},
"job_type_id": "a51457cf-66d9-4e23-99a2-69ccfca44a89",
"job_type_code": "sample string 7",
"job_type": {
"id": "59a9a2de-f58d-4da6-bc12-33ee526e8277",
"name": "sample string 2",
"sales_organization_id": "87701145-72e6-47f7-bdb1-1613e5a98ba6",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00",
"code": "sample string 7"
},
"job_priority_id": "17c1e854-3560-4fba-b34d-f3ba3a0edf0a",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "bdd88c6b-574f-4640-a916-2e33e0362fb8",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "51e14257-a1cd-4068-994f-503c1b62bbc4",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"job_status_id": "cadfc039-6df7-4a47-9156-59428519d825",
"job_status_code": "sample string 11",
"db_address_id": "06cfc5ec-c943-4b7b-888b-c15020d3ca14",
"contact_id": "5e83af69-e54c-4e93-9f61-2ddf716e3b4b",
"requested_by_company_id": "a9cae35d-cbf1-4372-9bc0-49ec43977122",
"requested_by_contact_id": "a76320f6-17d3-49ca-8102-eeb924b923f1",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-07T08:18:05.6674765+00:00",
"due_date": "2026-11-07T08:18:05.6674765+00:00",
"date_create": "2026-11-07T08:18:05.6674765+00:00",
"date_update": "2026-11-07T08:18:05.6674765+00:00",
"date_closed": "2026-11-07T08:18:05.6674765+00:00",
"suggested_user_id": "de530039-f8f5-4b46-b873-6709ad87d07d",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "273efaef-b814-4584-85ae-04185836affd",
"db_language_id": "280ec28f-1a76-4229-b1af-d7ddd0800dc2",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-07T08:18:05.6674765+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "896d704a-ebf3-4392-9a48-85eb39087740",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "fca8d7c0-f625-4c7c-b6ac-d316cd1a85e8",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "0fcf10a1-dac2-48a7-b439-69df0c972e2c",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "3acc66aa-3541-4988-ad7b-f0809daba35a"
},
"suggested_date_start": "2026-11-07T08:18:05.6674765+00:00",
"skill_id": "252c6f13-68a9-4966-8001-b20de512451c",
"skill_code": "sample string 32",
"skill": {
"id": "9e633a0b-1f77-4eb8-9534-4ae764be081d",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "ff48508e-3509-4119-b81c-7f3d02d9cd2c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "bd174a66-6711-43ef-a290-e6930a7904fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "65b6c14a-2912-4bf6-8544-f23baf65e6af",
"db_currency_id": "73c764a5-1465-453e-8ad6-e844cd7f83e3",
"db_language_id": "f5f42e1e-1626-4791-be73-0a9fdf1867b5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "f8a3d7d9-80f2-4f8d-8031-be24859f313b",
"date_reported_by_company": "2026-11-07T08:18:05.6674765+00:00",
"id2": 36,
"company_id": "76e3dd95-0557-46fa-b06e-313db1a62833",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "daaf7606-c484-4248-a9ce-8cb3c3ea0b3e",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-07T08:18:05.6674765+00:00"
},
"work_instruction_details_id": "3bd4a299-b357-4915-9c85-a0b6131ec666",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "931eeaf3-85b6-4370-93bf-5c303c6c27b8",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "86a5fa45-b6d0-41c3-8b60-7d7a3cc986d1",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-07T08:18:05.6674765+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "5e3ad079-22bd-4d5f-b102-1b51a99feded",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-07T08:18:05.6867053+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.